A Zulip bot to create [mostr](https://forge.ftt.gmbh/janek/mostr) tasks on a nostr relay.

# Quickstart

1. Clone https://github.com/zulip/python-zulip-api
2. Run `python3 ./tools/provision` and activate the created venv
3. Clone this repo into `python-zulip-api/zulip_bots/zulip_bots/bots/mostr`
4. Install dependencies with `pip install -r requirements.txt`
5. Create a `mostr.conf` to specify the private key and relay for the bot to use:
```ini
[mostr]
key = nsec...
relay = wss://...
```

Now you can test it from the terminal with:

    zulip-bot-shell mostr --bot-config-file mostr.conf

Above steps as sequence:
```sh
git clone https://github.com/zulip/python-zulip-api
cd python-zulip-api
python3 ./tools/provision
source ./zulip-api-py3-venv/bin/activate
git clone https://forge.ftt.gmbh/janek/mostr-zulip-bot zulip_bots/zulip_bots/bots/mostr
cd zulip_bots/zulip_bots/bots/mostr
edit mostr.conf
pip install -r requirements.txt
zulip-bot-shell mostr --bot-config-file mostr.conf
```

## Running on a Zulip Server

Follow the setup steps in https://zulip.com/api/running-bots and put the zuliprc file into the mostr directory

Now you can properly run the bot with:

    zulip-run-bot mostr --config-file zuliprc --bot-config-file mostr.conf

## Usage

It will track context per conversation,
so you can DM it, ping it in topics or group chats.

Note that every message not starting with `#` or `-`
(to add or remove tags from current context, respectively)
or containing a valid public key for assignment
will create a new task.
